Subject: my CVS on NT stopped working
From: "Kris Thielemans" <[email-masked]>
To: "Gnuwin" <[email-masked]>
Cc: "Kris Thielemans" <[email-masked]>
Date: Tue, 8 Oct 2002 16:54:26 +0100

Hi,

(cross-posted to [email-masked])

I'm using CVS 1.11.1p1 on NT 4.0 sp6a (CVS compiled from sources using
cygwin). My CVS server is a Linux machine (also running 1.11.1p1). I had a
module checked out ages ago
and was working happily with it. Now I suddenly get the following error
message:

$ pwd
  ~/parapet/PPhead

$ cvs -d parapet:/usr/local/cvsroot -t status Makefile

 -> main loop with CVSROOT=parapet:/usr/local/cvsroot
 -> Starting server: rsh parapet cvs server
 -> Sending file `Makefile' to server
/#cvs.lock): No such file or directoryctory for
`/usr/local/cvsroot/parapet/PPhead
'vs server: failed to obtain dir lock in repository
`/usr/local/cvsroot/parapet/PPhead
cvs [server aborted]: read lock failed - giving up
 -> Lock_Cleanup()

The jumbled up look of the error message is not an artefact of the mail
software. It's really how it comes out.

However, when I check out the module again somewhere else, everything works
nicely. Even stranger, when I run cvs from in gdb, it works fine.

I've tried to upgrade to cvs 1.11.2, but identical problems. Same problem
when I use cygwin's cvs version that setup installs (didn't try to gdb trick
there)

Any ideas?

Thanks!

Kris Thielemans
(kris.thielemans <at> ic.ac.uk)
Imaging Research Solutions Ltd
Cyclotron Building
Hammersmith Hospital
Du Cane Road
London W12 ONN, United Kingdom

web site address: http://www.irsl.org/~kris

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/